<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>
</head>
<body>
	<script>
		
		//Рисуем прямоугольник
		for ( a = 0; a < 6; a++) {
			for ( b = 0; b < 30; b++) {
				document.write("*")
			}
			document.write("<br />")
		}
		document.write("<hr />")

		//Рисуем прямоугольный треугольник
		for ( a = 0; a < 10; a++) {
			for ( b = 0; b <= a; b++) {
				document.write("*")
			}
			document.write("<br />")
		}
		document.write("<hr />")

		//Рисуем равносторонний треугольник
		let spaces = 10;
		let stars = 1;
		for ( a = 0; a < 10; a++) {
			for ( let s = 0; s < spaces; s++) {
				document.write("&nbsp;")
			}
			for ( let st = 0; st < stars; st++) {
				document.write("*")
			}
			document.write("<br />")
			spaces -= 1;
			stars += 1;
		}
		document.write("<hr />")

		//Рисуем ромб
		spaces = 10;
		stars = 1;
		for ( a = 0; a < 10; a++) {
			for ( let b = 0; b < spaces; b++) {
				document.write("&nbsp;")
			}
			for ( let c = 0; c < stars; c++) {
				document.write("*")
			}
			document.write("<br />")
			spaces -= 1;
			stars += 1;
		}
		//Рисуем нижнюю часть треугольника.
		spaces = 10;
		stars = 1;
		for ( let a = 0; a < 10; a++) {
			for ( let b = 0; b < stars; b++) {
				document.write("&nbsp;")
			}
			for ( let c = 0; c < spaces; c++) {
				document.write("*")
			}
			document.write("<br />")
			stars += 1;
			spaces -= 1;
		}

	</script>
</body>
</html>